import { User } from "next-auth"
import { JWT } from "next-auth/jwt"

type UserId = string
type UserUsername = string | null | undefined

declare module "next-auth/jwt" {
    interface JWT {
        id: UserId,
        username: UserUsername
    }
}

declare module "next-auth" {
    interface Session {
        user: User & {
            id: UserId,
            username: UserUsername
        }
    }
}